| Home | Libraries | People | FAQ | More

###### segments_encoded_view::segments_encoded_view (2 of 3 overloads)

Constructor.

###### Synopsis

    segments_encoded_view(
        segments_encoded_view const&);

###### Description

After construction, both views reference the same character buffer. Ownership is not transferred; the caller is responsible for ensuring the lifetime of the buffer extends until it is no longer referenced.

###### Postconditions

    this->buffer().data() == other.buffer().data()

###### Complexity

Constant.

###### Exception Safety

Throws nothing